declare class AnimateEasing {
    startTime: number;
    startPos: number;
    endPos: number;
    duration: number;
    runEasing: any;
    runIngFun: any;
    lastPos: number;
    lastInterval: number;
    timeAnimate: any;
    constructor(option: any);
    _easing: {
        /**
         * t:动画已经消耗的时间
         * b:初始位置
         * c:目标位置
         * d:动画持续的总时间
        */
        linear: (t: number, b: number, c: number, d: number) => number;
        easeInCubic: (t: number, b: number, c: number, d: number) => number;
        easeOutCubic: (t: number, b: number, c: number, d: number) => number;
    };
    start(startPos: number, endPos: number, duration: number, easing?: string): Promise<unknown>;
    step(): boolean;
    stop(): void;
}
export default AnimateEasing;
